#include <iostream>
#include <cstdlib>
using namespace std;
int main()
{
	int a[10], n, x, d1, d2, min, max, d;
	cin >> n;
	cin >> x;
	for (int i = 0; i < n; i++)
		cin >> a[i];
	max = a[0];
	for (int i = 1; i < n; i++)
		if (a[i] > max) max = a[i];
	min = a[0];
	d1 = x - min;
	d2 = max - x;
	if (d1 > d2) {
		d = d2 * 2 + d1;
		cout << d;
	}
	else {
		d = d1 * 2 + d2;
		cout << d;
	}
	return 0;


}